<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$leng_cuphap = strlen($cuphap);
if($leng_cuphap == 0) echo "<center><font color='red'>Chưa thiết lập cấu hình SMS. Vui lòng liên hệ BQT để được hỗ trợ.</font></center>";
else {

if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'changepassgame')
	{
		$passgamenew = $_POST['passgamenew'];
		$passgamenew_verify = $_POST['passgamenew_verify'];
		
		$leng_passgamenew = strlen($passgamenew);
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($passgamenew)) {
			$error = "Chưa nhập Mật khẩu Game mới";
		}
		elseif(empty($passgamenew_verify)) {
			$error = "Chưa Xác minh Mật khẩu Game mới";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $passgamenew))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Game mới chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $passgamenew_verify))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Xác minh Mật khẩu Game mới chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif ($passgamenew != $passgamenew_verify)
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Game mới và Xác minh mật khẩu Game mới không trùng khớp.</font>";
			}
		elseif($leng_passgamenew<4 || $leng_passgamenew>10)
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Game mới phải từ 4-10 kí tự.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sms_web.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'KeyXuLy'    =>  'CHANGEPASSGAME',
                'passgamenew'    =>  $passgamenew,
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if($info[1] == 'OK') {
					
					$notice = "<font color='black'>Vui lòng dùng SĐT của tài khoản nhắn tin với cú pháp bên dưới để hoàn tất</font><br>
						<font color='red'><b>$madv&nbsp;&nbsp;&nbsp;$cuphap&nbsp;&nbsp;&nbsp;$info[2]</b></font>&nbsp;&nbsp;&nbsp;gửi&nbsp;&nbsp;&nbsp;<font color='blue'><b>$tdsms</b></font> <font color='gray'><i>(Phí nhắn tin : $giavnd VNĐ)</i></font><br>
						<font color='black'>Thời gian chờ tin nhắn chứng thực : 60 phút (sau 60 phút, yêu cầu sẽ bị hủy bỏ)</font>";
				}
				else $error = $reponse;
			}
		}
	}
}

$page_template = "templates/acc_manager/changepassgame.tpl";
}
?>